summaryrefslogtreecommitdiffstats
path: root/filehooker/root-image/krebs/bin/filehooker_configure_ncdc.ship
diff options
context:
space:
mode:
Diffstat (limited to 'filehooker/root-image/krebs/bin/filehooker_configure_ncdc.ship')
-rwxr-xr-xfilehooker/root-image/krebs/bin/filehooker_configure_ncdc.ship15
1 files changed, 15 insertions, 0 deletions
diff --git a/filehooker/root-image/krebs/bin/filehooker_configure_ncdc.ship b/filehooker/root-image/krebs/bin/filehooker_configure_ncdc.ship
new file mode 100755
index 00000000..62d3b4f7
--- /dev/null
+++ b/filehooker/root-image/krebs/bin/filehooker_configure_ncdc.ship
@@ -0,0 +1,15 @@
+#!/usr/bin/env ship
+#TODO waiting for ship2
+#@info
+#@strict
+set -euf
+#@include filehooker
+. /krebs/lib/filehooker
+
+dc_hub="adcs://elch.nsupdate.info:2781"
+nick="$(cat /etc/hostname)"
+
+ncdc_install
+
+ncdc_configure_nick "$nick"
+ncdc_configure_hub "$dc_hub"